#!/bin/sh

ID=`id -u`;
if test "$ID" != "0"
then
  echo "must be root to install the Nothing Real Flex License Manager";
  exit 1;
fi

TYPE=`uname -s`;

if test "$TYPE" = "IRIX" || test "$TYPE" = "IRIX64"
then
  OS='irix';
fi

if test "$TYPE" = "Linux"
then
  OS='linux';
fi

if test "$OS" = ""
then
   echo "invalid OS, $TYPE";
   exit 1
fi

# copy daemon and link utils
INST_DIR="/usr/nreal/bin";
if test -d "$INST_DIR"
then
  mv "$INST_DIR" "$INST_DIR".old
fi

# make sure executables have correct perms
chmod 755 lmgrd nreal lmutil nrlmgrd;
mkdir -p /usr/nreal/bin;
cp lmgrd nreal lmutil /usr/nreal/bin/.;
ln /usr/nreal/bin/lmutil /usr/nreal/bin/lmhostid
ln /usr/nreal/bin/lmutil /usr/nreal/bin/lmver
ln /usr/nreal/bin/lmutil /usr/nreal/bin/lmcksum
ln /usr/nreal/bin/lmutil /usr/nreal/bin/lmdown
ln /usr/nreal/bin/lmutil /usr/nreal/bin/lmremove
ln /usr/nreal/bin/lmutil /usr/nreal/bin/lmreread
ln /usr/nreal/bin/lmutil /usr/nreal/bin/lmswitchr
ln /usr/nreal/bin/lmutil /usr/nreal/bin/lmstat
ln /usr/nreal/bin/lmutil /usr/nreal/bin/lmdiag
ln /usr/nreal/bin/lmutil /usr/nreal/bin/lminstall

if test "$OS" = "irix"
then
  # startup script
  cp nrlmgrd         /etc/init.d/.;

  # startup / shutdown scripts
  ln -s /etc/init.d/nrlmgrd /etc/rc0.d/K03nrlmgrd;
  ln -s /etc/init.d/nrlmgrd /etc/rc2.d/S98nrlmgrd;

  chkconfig -f nrlmgrd on;

  echo "Installation complete."
  echo "Run \"/etc/init.d/nrlmgrd start\" or reboot to start the license server."
fi

if test "$OS" = "linux"
then
  # script
  cp nrlmgrd         /etc/rc.d/init.d/.;

  # startup / shutdown scripts
  chkconfig --add nrlmgrd;

  echo "Installation complete."
  echo "Run \"/etc/rc.d/init.d/nrlmgrd start\" or reboot to start the license server."
fi


